Subject: Re: [PATCH] net/r8169: Remove the firmware of RTL8111D

From: Ben Hutchings <[email-masked]>
Date: Mon, 06 Dec 2010 04:38:04 +0000

On Wed, 2010-12-01 at 09:07 +0100, Francois Romieu wrote:
> Hayes Wang <[email-masked]> :
> > Remove the firmware of RTL8111D from the kernel.
> > The binary file of firmware would be moved to linux-firmware repository.
> 
> The driver can not simply go along when request_firmware fails. Though Ben's
> code did not take care of it, the driver should imho propagate some return
> code. Ben ?
[...]

Sorry I haven't been more responsive on this.

I have reports that the RTL8111D/8168D hardware can work without this
firmware, possibly with limited functionality or compatibility.  (I
assume it is a patch for the original firmware loaded from ROM or
flash.)  So I feel obliged to give users the choice to use the driver
without installing non-free firmware.  If you want to make the warning
on failure of request_firmware() more explicit then that's OK with me.
If you make the failure fatal I will probably revert that in Debian.

Ben.

-- 
Ben Hutchings, Debian Developer and kernel team member